
package de.ivu.elect.business.statistik.control;

import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.STATISTIK_LAUF_CRONTAB;
import static java.util.Arrays.asList;

import java.util.Collection;

import de.ivu.elect.business.wahl.control.AbstractWahlParameterInit;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class StatistikLaufKonfigurationInit extends AbstractWahlParameterInit {

  public StatistikLaufKonfigurationInit() {
    super();
  }

  @Override
  public Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    return asList( //
        create(STATISTIK_LAUF_CRONTAB, "0 22 * * *") // 22 UHR
    );
  }
}
